/* posters  */
.poster-container.poster-banner.active-banner {
    margin: 10px 0;
}

.poster-banner .img-box {
    width: 100%;
    max-height: 100px;
}

.poster-banner img {
    width: 100%;
    max-height: 100px;
    object-fit: contain;
}

.poster-nav .img-box {
    width: 600px;
    max-height: 70px;
}

.poster-nav img {
    width: 100%;
    max-height: 70px;
    object-fit: contain;
}

.poster-square .poster-wrapper {
    gap: 16px;
}

.poster-square .img-box {
    width: calc(100% / 4 - 12px);
    height: 200px;
    max-height: 200px;
}

.poster-square .img-box img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.poster-hr-square .poster-wrapper {
    gap: 16px;
}

.poster-hr-square .img-box {
    width: calc(100% / 1);
    height: 200px;
    max-height: 200px;
}

.poster-hr-square .img-box img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.poster-link {
    display: none;
}

.nav-poster-link {
    display: none;
}

.poster-modal-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 9999999999;
    display: none;
}

.poster-modal-wrapper .modal-box {
    width: 100%;
    height: 100vh;
}

.poster-modal-wrapper .modal-box .modal-poster-wrapper {
    position: relative;
}

.poster-modal-wrapper .modal-box .modal-poster-wrapper .skip-icon {
    position: absolute;
    right: 2px;
    top: -22px;
    cursor: pointer;
}

.poster-modal-wrapper .modal-box .modal-poster-wrapper .skip-icon p {
    color: #ffffff;
    font-weight: 700;
    font-family: "Raleway", sans-serif;
    font-size: 12px;
    pointer-events: none;
}

.poster-modal-wrapper .modal-box .modal-poster-wrapper .skip-icon i {
    color: #ffffff;
    font-size: 12px;
    pointer-events: none;
}

.poster-modal-wrapper .modal-box a img {
    max-width: 700px;
    max-height: 70vh;
    object-fit: contain;
}

.poster-sticky {
    position: fixed;
    left: -110%;
    bottom: 20px;
    z-index: 99;
    box-shadow: 0 0 16px rgba(0, 0, 0, 0.8);
}

.poster-sticky a {
    display: block;
    width: 150px;
    height: 110px;
}

.poster-sticky img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.poster-sticky .close-poster {
    position: absolute;
    min-width: 18px;
    min-height: 18px;
    max-width: 18px;
    max-height: 18px;
    width: 18px;
    height: 18px;
    background-color: #efefef;
    padding: 2px !important;
    top: 4px;
    right: 4px;
    border-radius: 50%;
    cursor: pointer;
    z-index: 2;
}

.poster-sticky .close-poster img {
    pointer-events: none;
    height: 14px;
    width: 14px;
}

.cube-swiper {
    min-width: 160px;
    min-height: 160px;
    max-width: 160px;
    max-height: 160px;
    width: 160px;
    height: 160px;
    background-color: #dfdfdf;
}

.cube-swiper-wrapper {
    width: 100%;
    height: 100%;
}

.cube-swiper-wrapper .swiper-slide {
    display: block;
}

/* responsive  */
@media (max-width: 1023px) {
    .poster-nav {
        display: none;
    }
}

@media (max-width: 1000px) {
    .poster-hr-square .img-box {
        width: calc(100% / 2 - 8px);
    }
}

@media (max-width: 900px) {
    .poster-square .img-box {
        width: calc(100% / 2 - 8px);
    }
}

@media (max-width: 767px) {
    .poster-banner .img-box {
        max-height: 150px;
    }
    .poster-banner img {
        max-height: 150px;
    }
    .poster-square .img-box {
        width: calc(100% / 1 - 0px);
    }
    .poster-modal-wrapper .modal-box a img {
        max-width: 100%;
    }
    .poster-hr-square .img-box {
        width: calc(100% / 1 - 0px);
    }
    .poster-sticky {
        bottom: 70px;
    }
}
